package de.hdm_stuttgart.mi;

import nl.garvelink.iban.CountryCodes;
import nl.garvelink.iban.IBAN;
import nl.garvelink.iban.Modulo97;

/**
 * IBAN Handling.
 */

public class Iban {

    /**
     * Main entry point.
     *
     * @param args Yet unused
     */
    public static void main( String[] args ) {

        System.out.println("DE16 6009 0100 0175 0780 08: " + Modulo97.verifyCheckDigits("DE16 6009 0100 0175 0780 08"));
        System.out.println("DE16 6009 0100 0175 0780 09: " + Modulo97.verifyCheckDigits("DE16 6009 0100 0175 0780 09"));

        final IBAN iban = IBAN.valueOf( "PK12ASCM0000010110203819");

        System.out.println("SWIFT: " + iban.isInSwiftRegistry());
        System.out.println("SEPA: " + iban.isSEPA());

        System.out.println("Length DE: " + CountryCodes.getLengthForCountryCode("DE"));
        System.out.println("Length FR: " + CountryCodes.getLengthForCountryCode("FR"));
        System.out.println("Length NL: " + CountryCodes.getLengthForCountryCode("NL"));
    }
}
